神刀安全网

【python】 针对python3 下无法导入tkinter

正文之前

我的一个python GUI不知道发哪门子疯,在mac下面一直杀不死进程,还提示我说啥没有这个模块!我丢?

hustwolf@hustwolf-master:~/Python$ python3 Server.py  Traceback (most recent call last):   File "/usr/lib/python3.6/tkinter/__init__.py", line 37, in <module>     import _tkinter ModuleNotFoundError: No module named '_tkinter'  During handling of the above exception, another exception occurred:  Traceback (most recent call last):   File "Server.py", line 5, in <module>     from tkinter import *   File "/usr/lib/python3.6/tkinter/__init__.py", line 39, in <module>     raise ImportError(str(msg) + ', please install the python3-tk package') ImportError: No module named '_tkinter', please install the python3-tk package 

正文

这不是开玩笑吗?!!这是内置模块啊!!我上网查了查,果然不是我一家的问题。而是一个普世问题。。。。。好吧,其实貌似只有ubuntu上面出现过,不过还是让我找到办法了!

如何解决Linux下Python3.5无法使用tkinter?

按照这个说的,貌似就行?

hustwolf@hustwolf-master:~/Python$ sudo apt-get install python3-tk [sudo] hustwolf 的密码:  对不起,请重试。 [sudo] hustwolf 的密码:  正在读取软件包列表... 完成 正在分析软件包的依赖关系树        正在读取状态信息... 完成        下列软件包是自动安装的并且现在不需要了:  linux-headers-4.13.0-21 linux-headers-4.13.0-21-generic  linux-headers-4.13.0-25 linux-headers-4.13.0-25-generic  linux-image-4.13.0-21-generic linux-image-4.13.0-25-generic  linux-image-extra-4.13.0-21-generic linux-image-extra-4.13.0-25-generic  linux-signed-image-4.13.0-25-generic xbase-clients 使用'sudo apt autoremove'来卸载它(它们)。 将会同时安装下列软件:  blt tk8.6-blt2.5 建议安装:  blt-demo tix python3-tk-dbg 下列【新】软件包将被安装:  blt python3-tk tk8.6-blt2.5 升级了 0 个软件包,新安装了 3 个软件包,要卸载 0 个软件包,有 113 个软件包未被升级。 需要下载 607 kB 的归档。 解压缩后会消耗 2,179 kB 的额外空间。 您希望继续执行吗? [Y/n] y 获取:1 http://cn.archive.ubuntu.com/ubuntu artful/main amd64 tk8.6-blt2.5 amd64 2.5.3+dfsg-3 [574 kB] 获取:2 http://cn.archive.ubuntu.com/ubuntu artful/main amd64 blt amd64 2.5.3+dfsg-3 [4,852 B] 获取:3 http://cn.archive.ubuntu.com/ubuntu artful/main amd64 python3-tk amd64 3.6.3-0ubuntu1 [28.5 kB] 已下载 607 kB,耗时 9秒 (64.1 kB/s)    正在选中未选择的软件包 tk8.6-blt2.5。 (正在读取数据库 ... 系统当前共安装有 250167 个文件和目录。) 正准备解包 .../tk8.6-blt2.5_2.5.3+dfsg-3_amd64.deb  ... 正在解包 tk8.6-blt2.5 (2.5.3+dfsg-3) ... 正在选中未选择的软件包 blt。 正准备解包 .../blt_2.5.3+dfsg-3_amd64.deb  ... 正在解包 blt (2.5.3+dfsg-3) ... 正在选中未选择的软件包 python3-tk:amd64。 正准备解包 .../python3-tk_3.6.3-0ubuntu1_amd64.deb  ... 正在解包 python3-tk:amd64 (3.6.3-0ubuntu1) ... 正在处理用于 libc-bin (2.26-0ubuntu2.1) 的触发器 ... 正在设置 tk8.6-blt2.5 (2.5.3+dfsg-3) ... 正在设置 blt (2.5.3+dfsg-3) ... 正在设置 python3-tk:amd64 (3.6.3-0ubuntu1) ... 正在处理用于 libc-bin (2.26-0ubuntu2.1) 的触发器 ... 

果然可以!!

【python】 针对python3 下无法导入tkinter

【python】 针对python3 下无法导入tkinter

【python】 针对python3 下无法导入tkinter

果然,就mac上屁事多,ubuntu上也跑到好好的!!!简直了!!辣鸡 Mac杀线程一点都不给力!!!

正文之后

唉 临近毕业屁事多,只希望赶紧毕业去实验室!不然真的不爽!!

转载本站任何文章请注明:转载至神刀安全网,谢谢神刀安全网 » 【python】 针对python3 下无法导入tkinter

分享到:更多 ()